## doc-base 0.8.7

=== Makefile ===
# vim:ts=2
# makefile for doc-base
# $Id: Makefile 97 2007-12-01 18:58:59Z robert $
#
# determine our version number
DEB_VERSION     := $(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | sed 's/^Version: *//')
DEB_DATE        := $(shell dpkg-parsechangelog | sed -n 's/^Date: *//p')
# pretty-print the date; I wish this was dynamic like the top-level makefile but oh well
DATE_EN         := $(shell LC_ALL=C     date --date="$(DEB_DATE)" '+%d %B, %Y')

bdir            := build
sdir            := $(CURDIR)
generated       := $(bdir)/install-docs \
                   $(bdir)/install-docs.8 \
                   $(bdir)/install-docs.html \
                   $(bdir)/doc-base.txt \
                   $(bdir)/doc-base.html/index.html


# build abstraction
install_file    := install -p -o root -g root -m 644
install_script  := install -p -o root -g root -m 755
install_dir     := install -d -o root -g root -m 755 
install_link    := ln -sf
compress        := gzip -9f

prefix          := /usr
etcdir					:= /etc/doc-base
sbindir         := $(prefix)/sbin
mandir          := $(prefix)/share/man/man8
sharedir        := $(prefix)/share/doc-base
perldir         := $(prefix)/share/perl5/Debian/DocBase
docdir          := $(prefix)/share/doc/doc-base
libdir          := /var/lib/doc-base
omfdir          := $(prefix)/share/omf



all: $(generated)


$(bdir):
	@echo; echo "*** Creating $@:"
	mkdir -p $@

$(bdir)/doc-base.sgml: doc-base.sgml | $(bdir)
	@echo; echo "*** Creating $@:"
	cp -f $< $@

$(bdir)/check-stamp: $(bdir)/install-docs $(bdir)/doc-base.sgml $(bdir)/version.ent
	@echo; echo "*** Creating $@:"
	PERL5LIB="perl" perl -cw $(bdir)/install-docs
	nsgmls -wall -s -E20 $(bdir)/doc-base.sgml	# check SGML syntax
	touch $@


$(bdir)/install-docs: install-docs.in | $(bdir)
	@echo; echo "*** Creating $@:"
	sed -e '/use lib.*perl/d' \
	    -e 's/#VERSION#/$(DEB_VERSION)/' \
	    < $< > $@
	chmod 755 $@

$(bdir)/install-docs.8: $(bdir)/install-docs $(bdir)/check-stamp
	@echo; echo "*** Creating $@:"
	pod2man --section=8 --center="Debian Utilities"		\
		--release="doc-base v$(DEB_VERSION)"						\
		--date="$(DATE_EN)"															\
		$< > $@ 

$(bdir)/install-docs.html: $(bdir)/install-docs $(bdir)/check-stamp
	@echo; echo "*** Creating $@:"
	pod2html --title "install-docs reference" 		\
		< $< > $@
	rm -f pod2htm*.tmp

$(bdir)/doc-base.txt: $(bdir)/doc-base.sgml $(bdir)/version.ent $(bdir)/check-stamp
	@echo; echo "*** Creating $@:"
	cd $(bdir) && debiandoc2text $(<F)

$(bdir)/doc-base.html/%: $(bdir)/doc-base.sgml $(bdir)/version.ent $(bdir)/check-stamp
	@echo; echo "*** Creating $(@D):"
	cd $(bdir) && debiandoc2html $(<F)

$(bdir)/version.ent: $(bdir)/doc-base.sgml debian/changelog | $(bdir)
	@echo; echo "*** Creating $@:"
	echo "<!ENTITY version \"$(DEB_VERSION)\">"    > $@
	echo "<!ENTITY date    \"$(DATE_EN)\">"        >> $@

clean:
	rm -rf build-stamp version.ent $(bdir)
	rm -f `find . -name "*~"`


install: $(generated)
	@echo; echo "*** Installing script and perl libraries:"
	$(install_dir)                           $(DESTDIR)$(sbindir)
	$(install_script) $(bdir)/install-docs   $(DESTDIR)$(sbindir)

	$(install_dir)                           $(DESTDIR)$(perldir)
	$(install_file) perl/Debian/DocBase/*.pm $(DESTDIR)$(perldir)
	$(install_dir)                           $(DESTDIR)$(perldir)/Programs
	$(install_file) perl/Debian/DocBase/Programs/*.pm \
	                                         $(DESTDIR)$(perldir)/Programs

	@echo; echo "*** Checking the script:"
	# validate installation correctness                                              
	PERL5LIB=$(DESTDIR)$(perldir)/../..      perl -cw $(DESTDIR)$(sbindir)/install-docs


	@echo; echo "*** Installing control files and data:"
	$(install_dir)                           $(DESTDIR)$(sharedir)
	$(install_file) data/doc-base.desc       $(DESTDIR)$(sharedir)/doc-base
	$(install_file) data/install-docs.desc   $(DESTDIR)$(sharedir)/install-docs-man


	$(install_dir)                           $(DESTDIR)$(sharedir)/data
	$(install_file) data/scrollkeeper.map    $(DESTDIR)$(sharedir)/data/

	$(install_dir)                           $(DESTDIR)$(sharedir)/data
	$(install_file) data/doc-base.map        $(DESTDIR)$(sharedir)/data/

	$(install_dir)                           $(DESTDIR)$(omfdir)
	$(install_dir)                           $(DESTDIR)$(libdir)/omf
	$(install_dir)                           $(DESTDIR)$(libdir)/info
	rm -f                                    $(DESTDIR)$(omfdir)/doc-base
	$(install_link) $(libdir)/omf            $(DESTDIR)$(omfdir)/doc-base

	$(install_dir)                           $(DESTDIR)$(etcdir)/documents
	$(install_file) data/README.local        $(DESTDIR)$(etcdir)/documents/README

	@echo; echo "*** Installing docs:"
	$(install_dir)                           $(DESTDIR)$(mandir)
	$(install_file) $(bdir)/install-docs.8   $(DESTDIR)$(mandir)
	$(compress)                              $(DESTDIR)$(mandir)/install-docs.8

	$(install_dir)                           $(DESTDIR)$(docdir)
	$(install_file) $(bdir)/version.ent      $(DESTDIR)$(docdir)
	$(install_file) doc-base.sgml            $(DESTDIR)$(docdir)
	$(compress)                              $(DESTDIR)$(docdir)/doc-base.sgml

	$(install_file) $(bdir)/doc-base.txt     $(DESTDIR)$(docdir)
	$(compress)                              $(DESTDIR)$(docdir)/doc-base.txt
	$(install_file) $(bdir)/install-docs.html \
   	                                       $(DESTDIR)$(docdir)

	$(install_dir)                           $(DESTDIR)$(docdir)/doc-base.html
	$(install_file) $(bdir)/doc-base.html/*  $(DESTDIR)$(docdir)/doc-base.html

.PHONY: install clean all

=== debian/changelog ===
doc-base (0.8.7) unstable; urgency=low

  * Introduce /var/lib/doc-base/documents and dynamic generation of files
    there in doc-base control file format.  Interfaces like dhelp, dwww,
    or doc-central should use that dir instead  of /usr/share/doc.
  * Add support for merging control files to allow multiple binary packages
    provide the same documentation but in different formats.
  * Try to standarize values of the Section: field.
  * Add /etc/doc-base/documents in order to made it possible to register
    local documents with doc-base  (closes: #213847).

  * Dhelp.pm:
    + don't generate .dhelp files, since dhelp 0.6 no longer supports them.
    + add a code to register/unregister doc-base control files with dhelp,
      but not enable it yet.

  * postinst: Remove all already generated .dhelp files and reregister
    installed documentation files.
  * Documentation update.

 -- Robert Luberda <robert@debian.org>  Sun, 02 Dec 2007 14:18:25 +0100

doc-base (0.8.6) unstable; urgency=low

  * Rewrite Dhelp.pm to improve performance and minimise number dhelp_parse
    calls, which after its reimplementation in Ruby started to be extremally
    slow (it took `install-docs -I' ages to finish). Now, dhelp_parse will
    be called at most two times in each install-docs invokation.
  * Use 3-args open(), and also quote fields' values in our status file in
    order not to fail on control files containing spaces (closes: #444889).
  * Implement more checks of doc-base files, like unknown fields, duplicated
    fields, fields in wrong sections (closes: #423120). Turn them into
    warnings, since if they are errors, too many packages will fail to
    install.
  * Document.pm: try to minimise number of write_status_file() calls.
  * Ignore SIGINT and some other signals while doing critical operations.
  * Scrollkeeper.pm: scrollkeeper doesn't like `&' character (see bug#429847),
    replace it with `(and)'.
  * More code refactoring, but still not finished: use prototypes, fix typos,
    standarize messages, etc.

 -- Robert Luberda <robert@debian.org>  Sun, 28 Oct 2007 12:00:37 +0100

doc-base (0.8.5) unstable; urgency=low

  * DocBaseFile.pm: don't die() on invalid doc-base files (closes: #425686).
  * Fix a typo in Dhelp.pm.
  * Document the Author field (closes: #427794).

 -- Robert Luberda <robert@debian.org>  Tue, 17 Jul 2007 00:47:07 +0200

=== debian/control ===
Source: doc-base
Section: doc
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Standards-Version: 3.7.2
Build-Depends-Indep: debiandoc-sgml (>= 1.1.37)
Build-Depends: debhelper (>= 5.0.26)

Package: doc-base
Depends: ${perl:Depends}, scrollkeeper
Suggests: dhelp | dwww | doc-central | yelp | khelpcenter
Conflicts: dhelp (<< 0.3.14), dwww (<< 1.9.0)
Architecture: all
Description: utilities to manage online documentation
 This package contains utilities to manage documentation installed on
 a Debian system.  It contains a database of document metadata.
 Various third-party systems such as 'dwww', 'dhelp',  'doc-central' 
 or 'scrollkeeper'  use this data to provide a catalog of available 
 documentation.
 .
 If you want to get additional information about 'doc-base' please
 consult the `Debian doc-base Manual' included in this package.

=== debian/rules ===
#!/usr/bin/make -f
# vim:ts=2
# rules file for doc-base
# $Id: rules 68 2007-05-05 09:02:11Z robert $
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

package		:= doc-base


build: build-stamp
build-stamp:
	dh_testdir
	
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean



install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=debian/$(package)
	install -m644 debian/lintian-overrides debian/$(package)/usr/share/lintian/overrides/$(package)

# Buily architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_undocumented
#	dh_installman 
	dh_link
	dh_compress
	dh_fixperms
	dh_perl
#	dh_python
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## doc-base 0.8.7ubuntu1

=== debian/changelog ===
doc-base (0.8.7ubuntu1) hardy-proposed; urgency=low

  * backport fix from 0.8.18 to fix potential upgrade 
    failures (LP: #349725)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 02 Apr 2009 13:31:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: doc-base
 Section: doc
 Priority: optional
-Maintainer: Robert Luberda <robert@debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Robert Luberda <robert@debian.org>
 Standards-Version: 3.7.2
 Build-Depends-Indep: debiandoc-sgml (>= 1.1.37)
 Build-Depends: debhelper (>= 5.0.26)

## doc-base 0.8.16

=== debian/changelog ===
doc-base (0.8.16) unstable; urgency=medium

  * install-docs.in: Import Debian::DocBase::Utils (closes: #481121).

 -- Robert Luberda <robert@debian.org>  Wed, 14 May 2008 00:55:34 +0200

doc-base (0.8.15) unstable; urgency=medium

  * Fix the `--check' option which got broken in 0.8.12.

 -- Robert Luberda <robert@debian.org>  Tue, 13 May 2008 21:42:08 +0200

doc-base (0.8.14) unstable; urgency=low

  * Upload to unstable.
  * Move `Registering with...' messages from InstallDocs.pm to
    {Dhelp,Dwww,Scrollkeeper}.pm.

 -- Robert Luberda <robert@debian.org>  Sat, 26 Apr 2008 19:26:31 +0200

doc-base (0.8.13) experimental; urgency=low

  * Remove dpkg-triggers call from prerm and always register changed files
    in postinst.
  * InstallDocs.pm: 
    + change behaviour of `-R' option to unregister doc-base files by removal 
      of our databases. This could be useful if database gets damaged;
    + get Document-Id of removed doc-base files from files.db;
    + show nicer statistics about install-docs actions.
  * DocBaseFile.pm: remove PARSE_* variables.
  * doc-base.sgml: minor update, fix typos.
  * install-docs.in: don't print debugging info about skipping install-docs run.
  * control: bump conflict with dwww.
  * Merge changes from  0.8.10.1.

 -- Robert Luberda <robert@debian.org>  Wed, 23 Apr 2008 22:46:50 +0200

doc-base (0.8.12) experimental; urgency=low

  * Enhance doc-base dpkg's triggers support. Instead of simply re-registering
    all available files, install-docs, when triggered, will find out names of
    removed, changed or added /u/s/doc-base/* files and take appropriate
    action on them.

  * Change format of internal database of registered documents from plain
    text files to DBM files (managed with GDBM_File and MLDBM):
    + add new DB.pm module to provide access to database;
    + move contents of old *.status files to new status.db;
    + save timestamps and document-ids of registered /u/s/doc-base/* files
      in a new files.db database;
    + the timestamps will be saved even for broken doc-base files, that
      cannot be properly registered;
    + make necessary changes in our other *.pm to support the new databases.

  * install-docs.in:
    + add new --install-changed option, which compares contents of the files.db
      database with contents of /u/s/doc-base dir and registers only changed
      files; use this option for processing trigger in postinst;
    + new --dump-db option for debugging our databases;
    + update POD docs.

  * InstallDocs.pm: print some additional messages to give clue what is
    actually being done.
  * DocBaseFile.pm, Document.pm: refactor function names.
  * debian/control: add dependency on libmldbm-perl and build-dependency on
    libmldbm-perl and libperl-uuid.
  * debian/preinst: remove old plain text databases, call dpkg-trigger.
  * debian/postinst: don't process triggers until our databases exist.

 -- Robert Luberda <robert@debian.org>  Tue, 08 Apr 2008 22:07:06 +0200

doc-base (0.8.11) experimental; urgency=low

  * Make use of the new dpkg triggers feature:
    + provide debian/triggers file;
    + change postinst to reinstall all docs on trigger activation;
    + install-docs is now no-op if called from other packages' installation
      or removal scripts;
    + remove obsolete (created by doc-base << 0.8.7) dhelp/scrollkeeper files
      in preinst rather than in postinst.

  * Document.pm: remove a perl warning issued on removal doc-base files that
    have been already deleted.
  * Scrollkeeper.pm: switch from scrollkeeper-gen-seriesid to UUID.pm.
  * Dwww.pm: call dwww-build-menu directly (without update-menus).

  * debian/control:
    + add dependency on dpkg (>= 1.14.17) and libperl-uuid;
    + move scrollkeeper from Depends to Suggests field.

  * doc-base.sgml:
    + add OCaml as an example sub-section of Programming (closes: #472501);
    + add TODO entry related to triggers support.

 -- Robert Luberda <robert@debian.org>  Sun, 24 Feb 2008 11:46:13 +0100

doc-base (0.8.10.1) unstable; urgency=high

  * DocBaseFile.pm: workaround Perl crash by decreasing maximum length of
    line that is checked for non-UTF-8 chars (closes: #477512).

 -- Robert Luberda <robert@debian.org>  Wed, 23 Apr 2008 22:26:54 +0200

doc-base (0.8.10) unstable; urgency=low

  * doc-base.sgml:
    + define real section hierarchy (closes: #109431), strongly based on the
      menu one with a few doc-base specific sections added;
    + doc-base files should be UTF-8 encoded.
    + review TODO list.
  * DocBaseFile.pm:
    + try to recode files to UTF-8 at install time,
    + warn on unknown doc-base sections.
  * Utils.pm: Remove latin1 encoding support from HTMLEncode.
  * While reregistering all documents run `dhelp_parse -r' to avoid index++
    runs.
  * Build with debhelper v6.

 -- Robert Luberda <robert@debian.org>  Fri, 22 Feb 2008 23:59:05 +0100

doc-base (0.8.9) unstable; urgency=low

  * Fix typos in doc-base.map (closes: #460505).
  * Update sections in scrollkeeper.map.

 -- Robert Luberda <robert@debian.org>  Sun, 27 Jan 2008 13:36:37 +0100

doc-base (0.8.8) unstable; urgency=low

  * Remove /var/lib/doc-base on package removal (closes: #454069).
  * Strip Apps and Applications prefixes from Section field values.
  * Enable dhelp registration, conflicts with dhelp << 0.6.5.
  * Standards-Version: 3.7.3 (no changes).

 -- Robert Luberda <robert@debian.org>  Sat, 22 Dec 2007 13:22:11 +0100

=== debian/control ===
Source: doc-base
Section: doc
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Standards-Version: 3.7.3
Build-Depends-Indep: debiandoc-sgml (>= 1.1.37), libmldbm-perl, libuuid-perl
Build-Depends: debhelper (>= 6)

Package: doc-base
Depends: ${perl:Depends}, libuuid-perl, dpkg (>= 1.14.17), libmldbm-perl
Suggests: dhelp | dwww | doc-central | yelp | khelpcenter, scrollkeeper
Conflicts: dhelp (<< 0.6.7), dwww (<< 1.10.13~)
Architecture: all
Description: utilities to manage online documentation
 This package contains utilities to manage documentation installed on
 a Debian system.  It contains a database of document metadata.
 Various third-party systems such as 'dwww', 'dhelp',  'doc-central' 
 or 'scrollkeeper'  use this data to provide a catalog of available 
 documentation.
 .
 If you want to get additional information about 'doc-base' please
 consult the `Debian doc-base Manual' included in this package.

## doc-base 0.8.16ubuntu1

=== debian/changelog ===
doc-base (0.8.16ubuntu1) intrepid-proposed; urgency=low

  * backport fix from 0.8.18 to fix potential upgrade 
    failures (LP: #349725)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 02 Apr 2009 13:44:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: doc-base
 Section: doc
 Priority: optional
-Maintainer: Robert Luberda <robert@debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Robert Luberda <robert@debian.org>
 Standards-Version: 3.7.3
 Build-Depends-Indep: debiandoc-sgml (>= 1.1.37), libmldbm-perl, libuuid-perl
 Build-Depends: debhelper (>= 6)

## doc-base 0.8.20

=== Makefile ===
# vim:ts=2
# makefile for doc-base
# $Id: Makefile 125 2008-04-06 19:20:02Z robert $
#
# determine our version number
DEB_VERSION     := $(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | sed 's/^Version: *//')
DEB_DATE        := $(shell dpkg-parsechangelog | sed -n 's/^Date: *//p')
# pretty-print the date; I wish this was dynamic like the top-level makefile but oh well
DATE_EN         := $(shell LC_ALL=C     date --date="$(DEB_DATE)" '+%d %B, %Y')

bdir            := build
sdir            := $(CURDIR)
generated       := $(bdir)/install-docs \
                   $(bdir)/install-docs.8 \
                   $(bdir)/install-docs.html \
                   $(bdir)/doc-base.txt \
                   $(bdir)/doc-base.html/index.html \
                   $(bdir)/section.list


# build abstraction
install_file    := install -p -o root -g root -m 644
install_script  := install -p -o root -g root -m 755
install_dir     := install -d -o root -g root -m 755
install_link    := ln -sf
compress        := gzip -9f

prefix          := /usr
etcdir          := /etc/doc-base
sbindir         := $(prefix)/sbin
mandir          := $(prefix)/share/man/man8
sharedir        := $(prefix)/share/doc-base
perldir         := $(prefix)/share/perl5/Debian/DocBase
docdir          := $(prefix)/share/doc/doc-base
libdir          := /var/lib/doc-base
omfdir          := $(prefix)/share/omf



all: $(generated)


$(bdir):
	@echo; echo "*** Creating $@:"
	mkdir -p $@

$(bdir)/doc-base.sgml: doc-base.sgml | $(bdir)
	@echo; echo "*** Creating $@:"
	cp -f $< $@
	touch -r $< $@

$(bdir)/check-stamp: $(bdir)/install-docs $(bdir)/doc-base.sgml $(bdir)/version.ent
	@echo; echo "*** Creating $@:"
	PERL5LIB="perl" perl -cw $(bdir)/install-docs
	nsgmls -wall -s -E20 $(bdir)/doc-base.sgml	# check SGML syntax
	touch $@


$(bdir)/install-docs: install-docs.in | $(bdir)
	@echo; echo "*** Creating $@:"
	sed -e '/#LINE_REMOVED_BY_MAKE#/d'   \
	    -e 's/#VERSION#/$(DEB_VERSION)/' \
	    < $< > $@
	chmod 755 $@

$(bdir)/install-docs.8: $(bdir)/install-docs $(bdir)/check-stamp
	@echo; echo "*** Creating $@:"
	pod2man --section=8 --center="Debian Utilities"   \
	  --release="doc-base v$(DEB_VERSION)"            \
	  --date="$(DATE_EN)"                             \
	  $< > $@ 

$(bdir)/install-docs.html: $(bdir)/install-docs $(bdir)/check-stamp
	@echo; echo "*** Creating $@:"
	pod2html --title "install-docs reference" \
	  < $< > $@
	rm -f pod2htm*.tmp

$(bdir)/doc-base.txt: $(bdir)/doc-base.sgml $(bdir)/version.ent $(bdir)/check-stamp
	@echo; echo "*** Creating $@:"
	cd $(bdir) && debiandoc2text $(<F)

$(bdir)/doc-base.html/%: $(bdir)/doc-base.sgml $(bdir)/version.ent $(bdir)/check-stamp
	@echo; echo "*** Creating $(@D):"
	cd $(bdir) && debiandoc2html $(<F)

$(bdir)/version.ent: $(bdir)/doc-base.sgml debian/changelog | $(bdir)
	@echo; echo "*** Creating $@:"
	echo "<!ENTITY version \"$(DEB_VERSION)\">"    > $@
	echo "<!ENTITY date    \"$(DATE_EN)\">"       >> $@

$(bdir)/section.list: $(bdir)/doc-base.sgml
	@echo; echo "*** Creating $@:"
	perl -e  \
	   'exec ("'perl'", "-ne", join("",@ARGV)) if $$#ARGV >-1;                    '\
	   '      last                    if /<!--\s*section\s+list\s+end\s*-->/;     '\
	   '      $$insect=1              if /<!--\s*section\s+list\s+begin\s*-->/;   '\
	   '      next                    unless $$insect;                            '\
	   '      s/item>/tag>/g          if $$inlst;                                 '\
	   '      $$inlst = 1             if s/<list>/<taglist>/;                     '\
	   '      $$inlst = 0             if s/<\/list>/<\/taglist>/;                 '\
	   '      $$top .= ($$sect . "/") if /<taglist>/ and $$sect;                  '\
	   '      $$top =~ s/[^\/]+\/$$// if /<\/taglist>/;                           '\
	   '      $$sect = $$1            if (/<tag>(?:(?:<\w+[>\/])*?)\s*([^<>\/]+)\s*(.*?)<\/tag>/);  '\
	   '      print "$$top$$sect\n"   if /<tag>/ && !/<!--\s*skip\s*-->/;         '\
	 < $< > $@.tmp
	 touch -r $< $@.tmp
	 mv $@.tmp $@


clean:
	rm -rf build-stamp version.ent $(bdir)
	rm -f `find . -name "*~"`


install: $(generated)
	@echo; echo "*** Installing script and perl libraries:"
	$(install_dir)                           $(DESTDIR)$(sbindir)
	$(install_script) $(bdir)/install-docs   $(DESTDIR)$(sbindir)

	$(install_dir)                           $(DESTDIR)$(perldir)
	$(install_file) perl/Debian/DocBase/*.pm $(DESTDIR)$(perldir)
	$(install_dir)                           $(DESTDIR)$(perldir)/Programs
	$(install_file) perl/Debian/DocBase/Programs/*.pm \
	                                         $(DESTDIR)$(perldir)/Programs

	@echo; echo "*** Checking the script:"
	# validate installation correctness                                              
	PERL5LIB=$(DESTDIR)$(perldir)/../..      perl -cw $(DESTDIR)$(sbindir)/install-docs


	@echo; echo "*** Installing control files and data:"
	$(install_dir)                            $(DESTDIR)$(sharedir)
	$(install_file) data/doc-base.desc        $(DESTDIR)$(sharedir)/doc-base
	$(install_file) data/install-docs.desc    $(DESTDIR)$(sharedir)/install-docs-man


	$(install_dir)                            $(DESTDIR)$(sharedir)/data
	$(install_file) data/scrollkeeper.map     $(DESTDIR)$(sharedir)/data/
	$(install_file) data/doc-base.map         $(DESTDIR)$(sharedir)/data/
	$(install_file) $(bdir)/section.list      $(DESTDIR)$(sharedir)/data/

	$(install_dir)                            $(DESTDIR)$(omfdir)
	$(install_dir)                            $(DESTDIR)$(libdir)/omf
	$(install_dir)                            $(DESTDIR)$(libdir)/info
	rm -f                                     $(DESTDIR)$(omfdir)/doc-base
	$(install_link) $(libdir)/omf             $(DESTDIR)$(omfdir)/doc-base

	$(install_dir)                            $(DESTDIR)$(etcdir)/documents
	$(install_file) data/README.local         $(DESTDIR)$(etcdir)/documents/README

	@echo; echo "*** Installing docs:"
	$(install_dir)                            $(DESTDIR)$(mandir)
	$(install_file) $(bdir)/install-docs.8    $(DESTDIR)$(mandir)
	$(compress)                               $(DESTDIR)$(mandir)/install-docs.8

	$(install_dir)                            $(DESTDIR)$(docdir)
	$(install_file) $(bdir)/version.ent       $(DESTDIR)$(docdir)
	$(install_file) doc-base.sgml             $(DESTDIR)$(docdir)
	$(compress)                               $(DESTDIR)$(docdir)/doc-base.sgml

	$(install_file) $(bdir)/doc-base.txt      $(DESTDIR)$(docdir)
	$(compress)                               $(DESTDIR)$(docdir)/doc-base.txt
	$(install_file) $(bdir)/install-docs.html $(DESTDIR)$(docdir)

	$(install_dir)                            $(DESTDIR)$(docdir)/doc-base.html
	$(install_file) $(bdir)/doc-base.html/*   $(DESTDIR)$(docdir)/doc-base.html

.PHONY: install clean all

=== debian/changelog ===
doc-base (0.8.20) unstable; urgency=low

  * debian/postinst: Use `find -print0 | xargs -0' to handle spaces in 
    old list/status file names (closes: #512390).

 -- Robert Luberda <robert@debian.org>  Sat, 24 Jan 2009 00:01:10 +0100

doc-base (0.8.19) unstable; urgency=low

  * While checking for changed files, remove from our database files
    that no longer exists and were never registered because of errors.
  * Fix warning messages for checks that are done after checked file 
    is closed (e.g. section check).

 -- Robert Luberda <robert@debian.org>  Mon, 05 Jan 2009 22:25:08 +0100

doc-base (0.8.18) unstable; urgency=medium

  * install-docs.in: include $opt_rootdir in used vars not to fail when
    Perl is in unusable state (closes: #501874). In such a case install-docs
    should try to recover on next invokation (see entry for version 0.8.4)

 -- Robert Luberda <robert@debian.org>  Sun, 16 Nov 2008 22:34:09 +0100

doc-base (0.8.17) unstable; urgency=low

  * doc-base.map: add a few self-mappings to prevent install-docs from
    incorrectly changing case of characters in sections like Help/HOWTO
    (without such a mapping the section name is turned into Help/Howto).
  * postinst: re-register all docs for the above change to be propagated.
  * DocBaseFile.pm: ignore dpkg temporary files while interating through
    /usr/share/doc-base dir contents.
  * Document.pm: remove doc-base file entry from files.db database even
    if the relevant document is not registered.
  * Scrollkeeper.pm: fix dates in generated omf files.
  * Standards-Version: 3.8.0 (no changes). 

 -- Robert Luberda <robert@debian.org>  Tue, 11 Nov 2008 11:19:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: doc-base
 Section: doc
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 3.7.3
+Maintainer: Robert Luberda <robert@debian.org>
+Standards-Version: 3.8.0
 Build-Depends-Indep: debiandoc-sgml (>= 1.1.37), libmldbm-perl, libuuid-perl
 Build-Depends: debhelper (>= 6)

## doc-base 0.9.3

=== debian/changelog ===
doc-base (0.9.3) unstable; urgency=low

  * Fix grammar in German translation (closes: #527054).
  * Update French translation (closes: #527562). 

 -- Robert Luberda <robert@debian.org>  Sun, 07 Jun 2009 22:00:12 +0200

doc-base (0.9.2) unstable; urgency=low

  * Add missing spaces into pod documentation (closes: #520238).
  * Fix typo in scrollkeeper.map (closes: #524153).
  * po/pod/po4a.cfg: use [po_directory], instead of [po4a_langs]
  * debian/control: 
    + bump po4a build-dependency to 0.35 for the above feature;
    + Standards-Version: 3.8.1 (no changes).
  * New translations:
    + French (closes: #524358);
    + German (closes: #522033, #521833).
  * Add linitian overrides for `useless-call-to-installdocs'.
  * copyright: refer to the GPL-2 common-lincenses file (lintian). 

 -- Robert Luberda <robert@debian.org>  Sun, 03 May 2009 07:50:19 +0200

doc-base (0.9.1) unstable; urgency=low

  * Upload to unstable.
  * Merge changes from 0.8.20.
  * install-docs.in: update section reference of dwww man page.

 -- Robert Luberda <robert@debian.org>  Sun, 22 Feb 2009 13:32:09 +0100

doc-base (0.9.0) experimental; urgency=low

  * Extend scrollkeeper.map (closes: #497272). Many thanks to Deng Xiyue
    for the patch.
  * Add NLS support for doc-base script and man pages (closes:  #479011).
  * Add Polish translation of the script and man pages.
  * DocBaseFile.pm: insert into files.db also existing files that don't 
    contain valid document it.
  * Reorganise source tree:
    + clean & improve build system;
    + move doc-base.sgml to doc subdir;
    + set debhelper compat level to 7.
  * debian/rules: use dh_prep instead of `dh_clean -k' (lintian) 
  * Add po4a to build-dependencies. 

 -- Robert Luberda <robert@debian.org>  Sun, 11 Jan 2009 15:14:02 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: doc
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 3.8.0
-Build-Depends-Indep: debiandoc-sgml (>= 1.1.37), libmldbm-perl, libuuid-perl
-Build-Depends: debhelper (>= 6)
+Standards-Version: 3.8.1
+Build-Depends-Indep: debiandoc-sgml (>= 1.1.37), libmldbm-perl, libuuid-perl, po4a (>= 0.35)
+Build-Depends: debhelper (>= 7)
 
 Package: doc-base
 Depends: ${perl:Depends}, libuuid-perl, dpkg (>= 1.14.17), libmldbm-perl

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,17 @@
 #!/usr/bin/make -f
 # vim:ts=2
 # rules file for doc-base
-# $Id: rules 68 2007-05-05 09:02:11Z robert $
+# $Id: rules 175 2009-01-05 22:31:40Z robert $
 #
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-package		:= doc-base
+package   := doc-base
+stamp     := _build/build-stamp
 
+build: $(stamp)
 
-build: build-stamp
-build-stamp:
+$(stamp):
 	dh_testdir
 	
 	$(MAKE)
@@ -19,7 +20,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp
+	rm -f $(stamp)
 	$(MAKE) clean
 	dh_clean
 
@@ -28,10 +29,10 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
-	$(MAKE) install DESTDIR=debian/$(package)
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/$(package)
 	install -m644 debian/lintian-overrides debian/$(package)/usr/share/lintian/overrides/$(package)
 
 # Buily architecture-independent files here.

## doc-base 0.9.5

=== debian/changelog ===
doc-base (0.9.5) unstable; urgency=low

  * Add a `Typesetting' top-level section for software used to typesetting 
    text and graphics from structured input files (closes: 486144)..
  * Map the unofficial `Tex' section into `Typesetting'; re-register all 
    documents. 
  * Fix package description and dependencies (closes: #550086).

 -- Robert Luberda <robert@debian.org>  Thu, 15 Oct 2009 11:26:27 +0200

doc-base (0.9.4) unstable; urgency=low

  * Add Spanish translations (closes: #539706, #539707).
  * doc-base.sgml: update, mention triggers (closes: #542038).
  * install-docs.in: fix a typo in pod documentation.
  * rules: use dh_lintian instead for installing a override file.
  * Standards-Version: 3.8.3 (no changes).

 -- Robert Luberda <robert@debian.org>  Thu, 10 Sep 2009 21:15:33 +0200

=== debian/control ===
Source: doc-base
Section: doc
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Standards-Version: 3.8.3
Build-Depends-Indep: debiandoc-sgml (>= 1.1.37), libmldbm-perl, libuuid-perl, po4a (>= 0.35)
Build-Depends: debhelper (>= 7)

Package: doc-base
Depends: ${perl:Depends}, libuuid-perl, dpkg (>= 1.14.17), libmldbm-perl
Suggests: dhelp | dwww | doc-central | yelp | khelpcenter4, rarian-compat
Conflicts: dhelp (<< 0.6.7), dwww (<< 1.10.13~)
Architecture: all
Description: utilities to manage online documentation
 This package contains utilities to manage documentation installed on
 a Debian system. It generates a database of document metadata, which
 other packages such as dwww, dhelp, doc-central, and rarian-compat
 can use to provide a catalog of available documentation.
 .
 For additional information see the Debian doc-base Manual included in
 this package.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # vim:ts=2
 # rules file for doc-base
-# $Id: rules 175 2009-01-05 22:31:40Z robert $
+# $Id: rules 195 2009-09-10 19:15:50Z robert $
 #
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -33,9 +33,8 @@
 	dh_installdirs
 
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/$(package)
-	install -m644 debian/lintian-overrides debian/$(package)/usr/share/lintian/overrides/$(package)
 
-# Buily architecture-independent files here.
+# Build architecture-independent files here.
 binary-indep: build install
 	dh_testdir
 	dh_testroot
@@ -52,6 +51,10 @@
 #	dh_installinit
 #	dh_installcron
 #	dh_installinfo
+#	dh_installwm
+#	dh_installudev
+	dh_lintian
+#	dh_bugfiles
 #	dh_undocumented
 #	dh_installman 
 	dh_link

## doc-base 0.9.5ubuntu2

=== Makefile ===
# vim:ts=2
# makefile for doc-base
# $Id: Makefile 178 2009-01-11 14:14:16Z robert $
#

ALL_TARGET    := build-local
AFTER_INSTALL := $(call check_install)
SUBDIRS       := doc data perl po
include       common.mk

x:=$(subst /, ,$(abspath ))
x1:=$(strip $x)

generated     := $(bdir)/man/man8/install-docs.8  \
                $(bdir)/check-stamp             \
                $(bdir)/install-docs.html       \
                $(bdir)/install-docs

$(ALL_TARGET): $(generated) | $(bdir)



$(bdir)/check-stamp: $(bdir)/install-docs
	$(call msg,$@)
	PERL5LIB="perl" perl -cw $(bdir)/install-docs
	touch $@


$(bdir)/install-docs: install-docs.in $(CHANGELOGFILE) | $(bdir)
	$(call msg,$@)
	sed -e '/#LINE_REMOVED_BY_MAKE#/d'   \
	    -e 's/#VERSION#/$(VERSION)/' \
	    < $< > $@
	chmod 755 $@

$(bdir)/man/man8/install-docs.8: $(bdir)/install-docs $(bdir)/check-stamp
	$(call msg,$@)
	mkdir -p $(dir $@)
	cp $< $@.pod
	$(call podtoman,$(bdir)/man)

$(bdir)/install-docs.html: $(bdir)/install-docs $(bdir)/check-stamp
	$(call msg,$@)
	cd $(bdir) && \
	pod2html --title "install-docs reference" \
	  < $(notdir $<) > $(notdir $@)

define check_install
	echo checking_installation; \
	PERL5LIB=$(perldir)      perl -cw $(sbindir)/install-docs
endef

install-local: $(generated)
	$(call msg,$@)
	$(call install,$(sbindir),$(bdir)/install-docs,script)
	$(call install,$(omfdir),,)
	$(call install,$(libdir)/omf,,)
	$(call install,$(libdir)/info,,)
	$(call install_links,$(libdir)/omf,$(omfdir)/doc-base)
	$(call install,$(mandir)/man8,$(bdir)/man/man8/install-docs.8,compress)
	$(call install,$(docdir),$(bdir)/install-docs.html)

=== doc/Makefile ===
# vim:ts=2
# makefile for doc-base
# $Id: Makefile 178 2009-01-11 14:14:16Z robert $
#

ALL_TARGET := build-local
SUBDIRS		 := 
include ../common.mk

generated := $(bdir)/version.ent							\
						 $(bdir)/doc-base.sgml						\
						 $(bdir)/doc-base.txt 						\
						 $(bdir)/doc-base.html/index.html \
						 $(bdir)/check-stamp							\
						 $(bdir)/section.list

$(ALL_TARGET): $(generated) | $(bdir)


$(bdir)/doc-base.sgml: doc-base.sgml | $(bdir)
	$(call msg,$@)
	cp -f $< $@
	touch -r $< $@

$(bdir)/check-stamp: $(bdir)/doc-base.sgml $(bdir)/version.ent
	$(call msg,$@)
	nsgmls -wall -s -E20 $(bdir)/doc-base.sgml	# check SGML syntax
	touch $@

$(bdir)/doc-base.txt: $(bdir)/doc-base.sgml $(bdir)/version.ent $(bdir)/check-stamp
	$(call msg,$@)
	cd $(bdir) && debiandoc2text $(<F)

$(bdir)/doc-base.html/%: $(bdir)/doc-base.sgml $(bdir)/version.ent $(bdir)/check-stamp
	$(call msg,$@)
	cd $(bdir) && debiandoc2html $(<F)

$(bdir)/version.ent: $(bdir)/doc-base.sgml $(CHANGELOGFILE) $(MAKEFILESLIST) | $(bdir)
	$(call msg,$@)
	echo "<!ENTITY version \"$(VERSION)\">"    > $@.new
	echo "<!ENTITY date    \"$(DATE_EN)\">"    >> $@.new
	mv -f $@.new $@

$(bdir)/section.list: doc-base.sgml | $(bdir)
	$(call msg,$@)
	perl -e  \
	   'exec ("'perl'", "-ne", join("",@ARGV)) if $$#ARGV >-1;                    '\
	   '      last                    if /<!--\s*section\s+list\s+end\s*-->/;     '\
	   '      $$insect=1              if /<!--\s*section\s+list\s+begin\s*-->/;   '\
	   '      next                    unless $$insect;                            '\
	   '      s/item>/tag>/g          if $$inlst;                                 '\
	   '      $$inlst = 1             if s/<list>/<taglist>/;                     '\
	   '      $$inlst = 0             if s/<\/list>/<\/taglist>/;                 '\
	   '      $$top .= ($$sect . "/") if /<taglist>/ and $$sect;                  '\
	   '      $$top =~ s/[^\/]+\/$$// if /<\/taglist>/;                           '\
	   '      $$sect = $$1            if (/<tag>(?:(?:<\w+[>\/])*?)\s*([^<>\/]+)\s*(.*?)<\/tag>/);  '\
	   '      print "$$top$$sect\n"   if /<tag>/ && !/<!--\s*skip\s*-->/;         '\
	 < $< > $@.tmp
	 touch -r $< $@.tmp
	 mv $@.tmp $@

install-local: $(generated) 
	$(call msg,$@)
	$(call install,$(docdir),$(bdir)/version.ent)
	$(call install,$(docdir)/doc-base.html,$(bdir)/doc-base.html/*)
	$(call install,$(docdir),$(bdir)/doc-base.sgml $(bdir)/doc-base.txt,compress)
	$(call install,$(sharedir)/data,$(bdir)/section.list)

=== po/bin/Makefile ===
# vim:ts=2
# makefile for doc-base
# $Id: Makefile 186 2009-02-22 12:32:20Z robert $
#

ALL_TARGET=build-local
SUBDIRS=
include ../../common.mk

NLS_SOURCES 		:= $(sort $(wildcard ../../perl/Debian/DocBase/*.pm ../../perl/Debian/DocBase/Programs/*.pm ../../install-docs.in))
POFILES					:= $(sort $(wildcard *.po))
MOFILES				  := $(patsubst %.po,$(bdir)/%.mo,$(POFILES))


build-local: $(MOFILES)
	$(call msg,$@)


install-local: $(MOFILES)
	$(call msg,$@)
	$(foreach file,$(MOFILES),	\
		$(call install,$(nlsdir)/$(notdir $(basename $(file)))/LC_MESSAGES/$(PACKAGE).mo,$(file),notdir))

$(bdir)/%.mo: %.po
	$(call msg,$@)
	mkdir -p $(bdir)
	msgfmt  -o $@ $<

$(PACKAGE).pot:	$(NLS_SOURCES) | $(MAKEFILE_LIST)
	$(call msg,$@)
	xgettext -L perl  -k -k_g -k_ng:1,2 $(XGETTEXT_COMMON_OPTIONS) -o $@.new $^
	$(call pochanged,$@,$@.new)

%.po: $(PACKAGE).pot
	$(call msg,$@)
	msgmerge --previous $@ $< > $@.new
	$(call pochanged,$@,$@.new)

update-po: 
	$(call msg,$@)
	$(MAKE) -W $(firstword $(NLS_SOURCES)) $(POFILES) 


.PHONY: update-po

=== debian/changelog ===
doc-base (0.9.5ubuntu2) natty; urgency=low

  * perl/Debian/DocBase/InstallDocs.pm: Fix mkdir invocation.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 09 Nov 2010 19:36:29 +0100

doc-base (0.9.5ubuntu1) natty; urgency=low

  * perl/Debian/DocBase/Programs/Scrollkeeper.pm: Provide our own local
    dirname() function and use it instead of File::Basename.
  * perl/Debian/DocBase/InstallDocs.pm: Use 'rm -r' and 'mkdir -p' programs
    instead of File::Path.
  * perl/Debian/DocBase/DB.pm: If Dumper module is not available, exit with an
    error that perl needs to be installeld. --dump-db is only required for
    debugging.
  * debian/rules: Run dh_perl with '-d' to avoid perl dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 09 Nov 2010 13:24:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: doc-base
 Section: doc
 Priority: optional
-Maintainer: Robert Luberda <robert@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Robert Luberda <robert@debian.org>
 Standards-Version: 3.8.3
 Build-Depends-Indep: debiandoc-sgml (>= 1.1.37), libmldbm-perl, libuuid-perl, po4a (>= 0.35)
 Build-Depends: debhelper (>= 7)

=== debian/rules ===
--- 
+++ 
@@ -60,7 +60,7 @@
 	dh_link
 	dh_compress
 	dh_fixperms
-	dh_perl
+	dh_perl -d
 #	dh_python
 	dh_installdeb
 	dh_gencontrol

## doc-base 0.10.2

=== debian/changelog ===
doc-base (0.10.2) unstable; urgency=low

  * DocBaseFile.pm: Ignore temporary/backup files in both /usr/share/doc-base
    and /etc/doc-base/documents (closes: #623169).
  * Update German translations (closes: #624345).
  * Update French translations (closes: #627284).
  * debian/control:
    + Add VCS fields;
    + Standards-Version: 3.9.2 (no changes).

 -- Robert Luberda <robert@debian.org>  Fri, 01 Jul 2011 22:40:55 +0200

doc-base (0.10.1) unstable; urgency=low

  * DocBaseFile.pm, InstallDocs.pm:
    + while getting changed files, don't schedule not yet registered files 
      for removal;
    + if some documents cannot be registered and verbose messages are turned 
      off, inform the user how to get the more detailed reasons of the errors.

 -- Robert Luberda <robert@debian.org>  Sun, 06 Mar 2011 18:48:55 +0100

doc-base (0.10.0) unstable; urgency=low

  * Applied a bit modified patch from  Martin Pitt @ Ubuntu to remove dependency
    on perl (closes: #602919):
    + Scrollkeeper.pm: provide our own local dirname() function and use it
      instead of File::Basename;
    + InstallDocs.pm: use the `rm -r' and 'mkdir -p' programs instead of
      File::Path;
    + debian/rules: run dh_perl with '-d' to avoid perl dependency.

  * Switch internal databases format from MLDBM to YAML and provide better
    error recovery from database corruption:
    + DB.pm: use YAML::Tiny module for storing our internal databases;
    + Util.pm: introduce Fatal() function and differentiate exit codes
      by type of error;
    + make the Fatal() function call
    + debian/control: switch dependency on libmdlbm-perl to libyaml-tiny-perl;
    + debian/postinst: try to recover for yaml files corruption by deleting
      them and re-spawning install-docs.

  * Translations handling:
    + patch from David Prévot not to assume word ordering in translated
      strings (closes: #606475);
    + patch from Chris Leick to fix plurals in the strings (closes: #521384);
    + English messages cleanups;
    + mark more doc-base messages as translatable;
    + Update Polish translation of binary.

  * doc-base.sgml:
    + prepend a top-level section name section names to make it more visible
      that sections' components are separated by slash (closes: #578331);
    + add the `Network/Remote Access' section (closes: #555161);
    + the Network section has two levels, not three (closes: #615488).

  * Don't create scrollkeeper files when rarian-compat is not installed
    (closes: #419745)
    + debian/triggers: interest on /usr/share/doc/rarian-compat to be
      notified of installs/removals of rarian-compat
  * DocBaseFile.pm: fix `no valid Format found' check.
  * Scrollkeeper.pm: avoid `unsuccessful stat on file contains new line'
    warnings given by perl (closes: #607498, #614330).

  * Ubuntu bugs handling:
    + install-docs.in: check if the Pod::Usage module is available before
      using it (LP: #431270, #510976);
    + this version gets rid of MLDBM and provides a better handling of
      databases corruption, to prevent `read error' bugs
      (LP: #695319, #675069, #672364, #668856, #652102, #621345);
    + debian/prerm: downgrade the `cannot find install-docs on path' error
      to a warning to make it possible to remove doc-base when install-docs
      is not available for some reason (LP: #391464);
    + the `/usr/share/doc-base/data/doc-base.map' file is provided in the
      package, it must have been deleted either manually or by filesystem
      error (LP: #660345, #646629);
    + close bugs that are duplicates of Debian bug#501874, fixed in 0.8.18
      (LP: #247718, #249160, #250252, #314996, #327101, #327104).

  * debian/rules: switch to the tiny format from debhelper and add support for
    build-arch and build-indep targets.
  * debian/control:
    + sort dependency fields with wrap-and-sort from the
      ubuntu-dev-tools package;
    + drop versioned conflicts with old versions of dwww and dhelp;
    + drop versioned dependency on dpkg;
    + Standards-Version: 3.9.1.
  * Bump debhelper compat mode to 8.
  * Set source format to `3.0 (native)'.
  * Fix spelling typos found by lintian.
  * Remove ancient stuff from preinst.
  * Re-register all docs when upgrading to this version.

 -- Robert Luberda <robert@debian.org>  Fri, 04 Mar 2011 15:04:51 +0100

=== debian/control ===
Source: doc-base
Section: doc
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Standards-Version: 3.9.2
Build-Depends-Indep: debiandoc-sgml (>= 1.1.37),
                     libuuid-perl,
                     libyaml-tiny-perl,
                     po4a (>= 0.35)
Build-Depends: debhelper (>= 8)
Vcs-Git: git://anonscm.debian.org/users/robert/doc-base.git
Vcs-Browser: http://anonscm.debian.org/git/users/robert/doc-base.git

Package: doc-base
Depends: libuuid-perl, libyaml-tiny-perl, ${misc:Depends}, ${perl:Depends}
Suggests: dhelp | dwww | doc-central | yelp | khelpcenter4, rarian-compat
Architecture: all
Description: utilities to manage online documentation
 This package contains utilities to manage documentation installed on
 a Debian system. It generates a database of document metadata, which
 other packages such as dwww, dhelp, doc-central, and rarian-compat
 can use to provide a catalog of available documentation.
 .
 For additional information see the Debian doc-base Manual included in
 this package.

## doc-base 0.10.3

=== debian/changelog ===
doc-base (0.10.3) unstable; urgency=low

  * debian/postinst: set PERL_DL_NONLAZY=1 not to fail when perl is being 
    upgraded (closes: #648937).
  * install-docs.in:
    + show verbose warning message when doc-base is not fully functional;
    + drop the force-reregister file also when install-docs -C is called.
  * debian/control: Fix Vcs-Browser field.

 -- Robert Luberda <robert@debian.org>  Thu, 17 Nov 2011 22:19:09 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                      po4a (>= 0.35)
 Build-Depends: debhelper (>= 8)
 Vcs-Git: git://anonscm.debian.org/users/robert/doc-base.git
-Vcs-Browser: http://anonscm.debian.org/git/users/robert/doc-base.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/doc-base.git
 
 Package: doc-base
 Depends: libuuid-perl, libyaml-tiny-perl, ${misc:Depends}, ${perl:Depends}

## doc-base 0.10.4

=== data/Makefile ===
# vim:ts=2
# makefile for doc-base
# $Id: Makefile 178 2009-01-11 14:14:16Z robert $
#

ALL_TARGET:=
SUBDIRS:=
include ../common.mk

install-local: 
	$(call msg,$@)
	$(call install,$(sharedir)/doc-base,doc-base.desc,notdir)
	$(call install,$(sharedir)/install-docs-man,install-docs.desc,notdir)
	$(call install,$(sharedir)/data,scrollkeeper.map doc-base.map)
	$(call install,$(etcdir)/documents/README,README.local,notdir)

=== debian/changelog ===
doc-base (0.10.4) unstable; urgency=low

  * Add Japanese translations (closes: #675048).
  * Standards-Version: 3.9.3.
  * Bump debhpelper's compat level to 9.

 -- Robert Luberda <robert@debian.org>  Sat, 02 Jun 2012 14:46:18 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: doc
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends-Indep: debiandoc-sgml (>= 1.1.37),
                      libuuid-perl,
                      libyaml-tiny-perl,
                      po4a (>= 0.35)
-Build-Depends: debhelper (>= 8)
+Build-Depends: debhelper (>= 9)
 Vcs-Git: git://anonscm.debian.org/users/robert/doc-base.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/doc-base.git
